<?php
    session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	require_once('inc/char_set.php');
	$selectcate=$_GET['selectcate'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<title>无标题文档</title>
	</head>

	<body>
<?php
	$ls=$_POST['ls'];
	$id=$_POST['id'];
	$newsTitle=$_POST['newsTitle2']; //新闻标题行
	$newsText=$_POST['newsText'];
	//编辑器中的内链与图片转换成相对路径
	$newsText = editorPath('http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'], $newsText);//内链
	$newsText = editorPath($_SERVER['PHP_SELF'], $newsText);//图片
	$newsText = addAltTitle($newsTitle, $newsTitle, $newsText);  //图片添加alt,title
	
	$in_sql="SELECT * FROM ls_internal where enable=1 order by Num asc"; //count the error by searchtype
	$in_query=$opendb->query($in_sql);
	while ($in_rows=mysql_fetch_assoc($in_query)){
		$newsText = internal_keyword_link($newsText, $in_rows['title'], $in_rows['url']);
	}
	
	$cate=$_POST['cate'];
	$Num=$_POST['Num'];
	$newsDate=$_POST['newsDate'];
	$title = $_POST['newsTitle'];
	$keywords = $_POST['newsKeywords'];
//	$description = substr(strip_tags(trim(preg_replace("/([\s]{2,})/"," ",$newsText))), 0, 200);
	$description = substr(strip_tags(trim(preg_replace("/([\s]{2,})/"," ", $_POST['newsDescription']))), 0, 200);
	$keywords = str_replace("，",",",$keywords);
	 
	 
	switch($ls){
		case "insert":
			$insert_sql=sprintf("insert into ls_news(title,keywords,description,newsTitle,newsText,newsDate,enable,cate,Num) values (%s,%s,%s,%s,%s,%s,%s,%s,%s)",
						GetSQLValueString($title,"text"),
						GetSQLValueString($keywords,"text"),
						GetSQLValueString($description,"text"),
						GetSQLValueString($newsTitle,"text"),
						GetSQLValueString($newsText,"text"),
						GetSQLValueString($newsDate,"date"),
						GetSQLValueString("1", "int"),
						GetSQLValueString($cate,"text"),
						GetSQLValueString($Num,"int")
						);
			$insert_query=$opendb->query($insert_sql);
			writelog($_SERVER['PHP_SELF'],"add news: ".$newsTitle,"cate: ".$cate);
				 
		echo "<script>alert('数据添加成功！');location='news.php?selectcate=".$selectcate."';</script>";
			
			break;
			
		case "update":
	$update_sql=sprintf("update ls_news set title=%s, keywords=%s, description=%s, newsTitle=%s,newsText=%s,newsDate=%s,enable=%s,cate=%s,Num=%s where id=%s",
						GetSQLValueString($title, "text"),
						GetSQLValueString($keywords, "text"),
						GetSQLValueString($description, "text"),
						GetSQLValueString($newsTitle,"text"),
						GetSQLValueString($newsText,"text"),
						GetSQLValueString($newsDate,"date"),
						GetSQLValueString("1", "int"),
						GetSQLValueString($cate,"text"),
						GetSQLValueString($Num, "int"),
						GetSQLValueString($id,"int")
						);
									//echo $update_sql;
			$update_query=$opendb->query($update_sql);
			writelog($_SERVER['PHP_SELF'],"changed news: ".$newsTitle,"cate: ".$cate);

			echo "<script>location='news.php?selectcate=".$selectcate."&ls_msg=No.".$id."文章已更新';</script>";
	}
?>
</body>
</html>